From sugar-devel-bounces@lists.sugarlabs.org Mon May 10 07:07:31 2010
Return-Path: <sugar-devel-bounces@lists.sugarlabs.org>
X-Original-To: bernie@codewiz.org
Delivered-To: bernie@trinity.develer.com
Received: from solarsail.media.mit.edu (solarsail.media.mit.edu
 [18.85.2.155]) by trinity.develer.com (Postfix) with ESMTPS id 750921D606F
 for <bernie@codewiz.org>; Mon, 10 May 2010 07:07:31 +0200 (CEST)
X-Virus-Status: Clean
X-Virus-Scanned: clamav-milter 0.95.2 at trinity.develer.com
Received: from solarsail.media.mit.edu (localhost [127.0.0.1]) by
 solarsail.media.mit.edu (Postfix) with ESMTP id 7F8508109; Mon, 10 May 2010
 01:07:29 -0400 (EDT)
Received: from enchanter.real-time.com (enchanter.real-time.com
 [63.170.91.11]) (using TLSv1 with cipher EDH-RSA-DES-CBC3-SHA (168/168
 bits)) (No client certificate requested) by solarsail.media.mit.edu
 (Postfix) with ESMTPS id 0BE748108 for <sugar-devel@lists.sugarlabs.org>;
 Mon, 10 May 2010 01:07:25 -0400 (EDT)
Received: from dors.lan (quozl2.real-time.com [65.165.43.5]) by
 enchanter.real-time.com (8.12.10/8.12.10) with ESMTP id o4A57GG0010693
 (version=TLSv1/SSLv3 cipher=DES-CBC3-SHA bits=168 verify=NO); Mon, 10 May
 2010 00:07:20 -0500
Received: from james by dors.lan with local (Exim 4.71) (envelope-from
 <quozl.2005@bigpond.com>) id 1OBLCx-0000Yy-GM; Mon, 10 May 2010 15:07:11
 +1000
From: James Cameron <quozl@laptop.org>
To: Sayamindu Dasgupta <sayamindu@gmail.com>, Daniel Drake <dsd@laptop.org>
Date: Mon, 10 May 2010 15:06:14 +1000
Message-Id: <1273467974-2104-1-git-send-email-quozl@laptop.org>
X-Mailer: git-send-email 1.7.1
Cc: sugar-devel@lists.sugarlabs.org, James Cameron <quozl@laptop.org>
Subject: [Sugar-devel] [PATCH] fix two trivial shell.log warnings
X-BeenThere: sugar-devel@lists.sugarlabs.org
X-Mailman-Version: 2.1.9
Precedence: list
List-Id: "Discussion of Sugar development and other technical matters."
 <sugar-devel.lists.sugarlabs.org>
List-Unsubscribe: <http://lists.sugarlabs.org/listinfo/sugar-devel>,
 <mailto:sugar-devel-request@lists.sugarlabs.org?subject=unsubscribe>
List-Archive: <http://lists.sugarlabs.org/archive/sugar-devel>
List-Post: <mailto:sugar-devel@lists.sugarlabs.org>
List-Help: <mailto:sugar-devel-request@lists.sugarlabs.org?subject=help>
List-Subscribe: <http://lists.sugarlabs.org/listinfo/sugar-devel>,
 <mailto:sugar-devel-request@lists.sugarlabs.org?subject=subscribe>
MIME-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
Sender: sugar-devel-bounces@lists.sugarlabs.org
Errors-To: sugar-devel-bounces@lists.sugarlabs.org
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,UNPARSEABLE_RELAY
 autolearn=ham version=3.3.1
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on
 trinity.develer.com
X-Evolution-Source: imap://bernie@imap.develer.com/
Content-Transfer-Encoding: 8bit

"DeprecationWarning: integer argument expected, got float" was happening
in two places.  An issue that has been with us for at least 12 months,
since it was also seen in logs attached to SL #870.
---
 src/sugar/graphics/icon.py |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/src/sugar/graphics/icon.py b/src/sugar/graphics/icon.py
index 57c53f5..8e3861c 100644
--- a/src/sugar/graphics/icon.py
+++ b/src/sugar/graphics/icon.py
@@ -133,7 +133,7 @@ class _IconBuffer(object):
             if self.width != None:
                 size = self.width
 
-            info = theme.lookup_icon(self.icon_name, size, 0)
+            info = theme.lookup_icon(self.icon_name, int(size), 0)
             if info:
                 attach_x, attach_y = self._get_attach_points(info, size)
 
@@ -178,8 +178,8 @@ class _IconBuffer(object):
 
     def _get_size(self, icon_width, icon_height, padding):
         if self.width is not None and self.height is not None:
-            width = self.width + padding
-            height = self.height + padding
+            width = int(self.width) + padding
+            height = int(self.height) + padding
         else:
             width = icon_width + padding
             height = icon_height + padding
-- 
1.7.1

_______________________________________________
Sugar-devel mailing list
Sugar-devel@lists.sugarlabs.org
http://lists.sugarlabs.org/listinfo/sugar-devel

